package org.foo.hello.extender;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;


import org.foo.hello.Greeting;

public class GreetingSet  {
	
	private Map m_greetings = new HashMap();
	public GreetingSet() {
	}

	public synchronized void addGreeting(String name, Greeting greeting) {
		m_greetings.put(name, greeting);
		System.out.println("Frame added greeting "+name);
	}


	public synchronized void removeGreeting(String name) {
		m_greetings.remove(name);
		System.out.println("Frame removed greeting "+name);
	}
	
	public synchronized Collection getAllGreetings(){
		return m_greetings.values();
	}

}
